Problem building with gdal trunk

2018-01-14 11:45 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25744

Description

I can't to build 2.18 and master with the latest gdal. It gets stuck here:

/usr/bin/c++  -DENABLE_TESTS -DQT_CONCURRENT_LIB -DQT_CORE_LIB -DQT_DISABLE_DEPRECATED_BEFORE=0

-DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_POSITIONING_LIB

-DQT_PRINTSUPPORT_LIB -DQT_SQL_LIB -DQT_SVG_LIB -DQT_UITOOLS_LIB -DQT_WEBKITWIDGETS_LIB

-DQT_WEBKIT_LIB -DQT_WIDGETS_LIB -DQT_XML_LIB -DWITH_BINDINGS -DWITH_QTWEBKIT

-Dgdalprovider_EXPORTS -I. -I../src/core -I../src/core/expression -I../src/core/raster -I../src/core/geometry -I../src/core/metadata

-I../src/gui -Isrc/core -Isrc/gui -Isrc/ui -isystem /usr/local/include -isystem /usr/include/x86_64-linux-gnu/qt5 -isystem

/usr/include/x86_64-linux-gnu/qt5/QtXml -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore -isystem

/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64 -isystem /usr/include/x86_64-linux-gnu/qt5/QtConcurrent -isystem

/usr/include/x86_64-linux-gnu/qt5/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5/QtWidgets -isystem

/usr/include/x86_64-linux-gnu/qt5/QtPrintSupport -isystem /usr/include/x86_64-linux-gnu/qt5/QtSvg -isystem

/usr/include/x86_64-linux-gnu/qt5/QtNetwork -isystem /usr/include/x86_64-linux-gnu/qt5/QtWebKit -isystem

/usr/include/x86_64-linux-gnu/qt5/QtWebKitWidgets -isystem /usr/include/x86_64-linux-gnu/qt5/QtSql -isystem

/usr/include/x86_64-linux-gnu/qt5/QtPositioning -isystem /usr/include/x86_64-linux-gnu/qt5/QtUiTools -Wall -Wextra

-Wno-long-long -Wformat-security -Wno-strict-aliasing -fPIC -fvisibility=hidden   -fPIC -std=gnu++11 -MD -MT

src/providers/gdal/CMakeFiles/gdalprovider.dir/qgsgdalprovider.cpp.o -MF

src/providers/gdal/CMakeFiles/gdalprovider.dir/qgsgdalprovider.cpp.o.d -o

src/providers/gdal/CMakeFiles/gdalprovider.dir/qgsgdalprovider.cpp.o -c ../src/providers/gdal/qgsgdalprovider.cpp

In file included from ../src/providers/gdal/qgsgdalprovider.cpp:58:0:

/usr/local/include/ogr_spatialref.h:165:36: error: ‘CPLString’ was not declared in this scope

                     const std::map<CPLString, int>*& poMapESRICSNameToCodeOut);

                                    ^~~~~~~~~

/usr/local/include/ogr_spatialref.h:165:36: note: suggested alternative: ‘CPLSPrintf’

                     const std::map<CPLString, int>*& poMapESRICSNameToCodeOut);

                                    ^~~~~~~~~

                                    CPLSPrintf

/usr/local/include/ogr_spatialref.h:165:50: error: template argument 1 is invalid

                     const std::map<CPLString, int>*& poMapESRICSNameToCodeOut);

                                                  ^

/usr/local/include/ogr_spatialref.h:165:50: error: template argument 3 is invalid

/usr/local/include/ogr_spatialref.h:165:50: error: template argument 4 is invalid

Associated revisions

Revision abe89b6a - 2018-01-14 05:08 PM - Jürgen Fischer

2025-04-27 1/2



avoid including GDAL C++ api (fixes #17849)

Revision 977d0acc - 2018-01-14 05:17 PM - Jürgen Fischer

avoid including GDAL C++ api (fixes #17849)

History

#1 - 2018-01-14 01:06 PM - Jürgen Fischer

- Description updated

#2 - 2018-01-14 05:24 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|abe89b6aa810fceb43e5fff7e84f0ee7e9b4318b.

#3 - 2018-01-14 11:35 PM - Jürgen Fischer

- Resolution set to fixed/implemented
